"""
eBook finder using google search engine (via pygoogle)

This file contains html document parser code.

@author:    Charlie Kim <nabugoon@gmail.com>
@license:   BPL
@version:   0.1
"""

import os
from sgmllib import SGMLParser

validExtList = ['.pdf', '.chm', '.rar', '.txt', '.doc', '.ppt', '.zip', '.xls', '.mdb']

class URLLister(SGMLParser):
    def reset(self):
        SGMLParser.reset(self)
        self.urls = []

    def start_a(self, attrs):
        for k, v in attrs:
            if k == 'href':
                href = v

        if href:
            for ext in validExtList:
                k, v = os.path.splitext(href)
                if ext == v:
                    self.urls.append(href)